# Language Server Proxy
This is a proxy for a Language Server Protocol server process. It bridges the stdio streams of an LSP client (such as a text editor or IDE) and server. It can log messages sent between the server and client and even hook into and handle messages.

In the future this proxy will do things such as automatically downloading and installing language servers on demand.

## Usage
`lsp-proxy <name of, or path to implementation script> <additional args passed to implementation script>`

A `java` script is provided as an example that launches and connects to an [eclipse.jdt.ls](https://github.com/eclipse/eclipse.jdt.ls) instance, given path to the root directory of the jdt.ls code base. It demonstrates handling an `java.apply.workspaceEdit` command sent from the client.

## License
GNU General Public License version 3 or later.
